# -*- coding:utf-8 -*-
import time
from tkinter import messagebox

import tkinter
import tkinter.messagebox  # 弹窗库

tkinter.messagebox.showinfo('提示','人生苦短')
tkinter.messagebox.showwarning('警告', '明日有大雨')
tkinter.messagebox.showerror('错误', '出错了')
tkinter.messagebox.askokcancel('提示', '要执行此操作吗')  # 确定/取消，返回值true/false
tkinter.messagebox.askquestion('提示', '要执行此操作吗')#是/否，返回值yes/no
tkinter.messagebox.askyesno('提示', '要执行此操作吗')#是/否，返回值true/false
tkinter.messagebox.askretrycancel('提示', '要执行此操作吗')#重试/取消，返回值true/false


import tkinter.filedialog
a=tkinter.filedialog.asksaveasfilename()#返回文件名
print(a)
a =tkinter.filedialog.asksaveasfile()#会创建文件
print(a)
a =tkinter.filedialog.askopenfilename()#返回文件名
print(a)
a =tkinter.filedialog.askopenfile()#返回文件流对象
print(a)
a =tkinter.filedialog.askdirectory()#返回目录名
print(a)
a =tkinter.filedialog.askopenfilenames()#可以返回多个文件名
print(a)
a =tkinter.filedialog.askopenfiles()#多个文件流对象
print(a)
